Jump to content

mstdmstd

Members
  • Posts

    41
  • Joined

  • Last visited

Everything posted by mstdmstd

  1. I failed to install indicator-brightness anyway. 1) How can I clear indicator-brightness from my repository, as : I tried to add docker support with command : sudo vi /etc/apt/sources.list.d/docker.list New file docker.list was created. I deleted it manually , but I still got errors : root@master-laptop:/etc/apt/sources.list.d# sudo add-apt-repository --remove ppa:indicator-brightnes Cannot add PPA: 'ppa:~indicator-brightnes/ubuntu/ppa'. ERROR: '~indicator-brightnes' user or team does not exist. root@master-laptop:/etc/apt/sources.list.d# sudo apt-get update Hit:1 http://ua.archive.ubuntu.com/ubuntu focal InRelease Hit:2 http://ua.archive.ubuntu.com/ubuntu focal-updates InRelease Hit:3 http://ua.archive.ubuntu.com/ubuntu focal-backports InRelease Hit:4 http://dl.google.com/linux/chrome/deb stable InRelease Hit:5 https://repo.skype.com/deb stable InRelease Hit:6 http://ppa.launchpad.net/giuspen/ppa/ubuntu focal InRelease Hit:7 http://ppa.launchpad.net/ondrej/php/ubuntu focal InRelease Hit:8 https://deb.nodesource.com/node_14.x focal InRelease Hit:9 http://security.ubuntu.com/ubuntu focal-security InRelease Reading package lists... Done E: The method driver /usr/lib/apt/methods/ppa could not be found. N: Is the package apt-transport-ppa installed? E: Failed to fetch ppa://indicator-brightness/ppa/dists/master/InRelease 2) I use Kubuntu 20, so I search some KDE app/plugin/tool like indicator-brightnes compatible with Kubuntu 20...
  2. With command man apt-secure I got next text: Do you mean this manuals ? Could you please point to key of my problem salvation? Sorry this manuals are too vague and comlicated for me...
  3. Hello, I tried to install indicator-brightness, but got errors : master@master-laptop:/mnt/_work_sdb8/wwwroot/lar/Hostels4J$ sudo add-apt-repository ppa:indicator-brightness/ppa [sudo] password for master: PPA for the indicator-brightness for the Unity panel. More info: https://launchpad.net/~indicator-brightness/+archive/ubuntu/ppa Press [ENTER] to continue or Ctrl-c to cancel adding it. Hit:1 http://ua.archive.ubuntu.com/ubuntufocal InRelease Hit:2 http://ua.archive.ubuntu.com/ubuntufocal-updates InRelease Hit:3 http://ua.archive.ubuntu.com/ubuntufocal-backports InRelease Hit:4 http://dl.google.com/linux/chrome/debstable InRelease Hit:5 http://ppa.launchpad.net/giuspen/ppa/ubuntufocal InRelease Hit:6 https://deb.nodesource.com/node_14.xfocal InRelease Ign:7 http://ppa.launchpad.net/indicator-brightness/ppa/ubuntufocal InRelease Hit:8 http://security.ubuntu.com/ubuntufocal-security InRelease Hit:9 http://ppa.launchpad.net/ondrej/php/ubuntufocal InRelease Err:10 http://ppa.launchpad.net/indicator-brightness/ppa/ubuntufocal Release 404 Not Found [IP: 91.189.95.85 80] Reading package lists... Done E: The repository 'http://ppa.launchpad.net/indicator-brightness/ppa/ubuntu focal Release' does not have a Release file. N: Updating from such a repository can't be done securely, and is therefore disabled by default. N: See apt-secure(8) manpage for repository creation and user configuration details. master@master-laptop:/mnt/_work_sdb8/wwwroot/lar/Hostels4J$ sudo apt-get update Hit:1 http://ua.archive.ubuntu.com/ubuntufocal InRelease Hit:2 http://ua.archive.ubuntu.com/ubuntufocal-updates InRelease Hit:3 http://ua.archive.ubuntu.com/ubuntufocal-backports InRelease Hit:4 http://dl.google.com/linux/chrome/debstable InRelease Hit:5 http://ppa.launchpad.net/giuspen/ppa/ubuntufocal InRelease Hit:6 https://deb.nodesource.com/node_14.xfocal InRelease Ign:7 http://ppa.launchpad.net/indicator-brightness/ppa/ubuntufocal InRelease Hit:8 http://security.ubuntu.com/ubuntufocal-security InRelease Hit:9 http://ppa.launchpad.net/ondrej/php/ubuntufocal InRelease Err:10 http://ppa.launchpad.net/indicator-brightness/ppa/ubuntufocal Release 404 Not Found [IP: 91.189.95.85 80] Reading package lists... Done E: The repository 'http://ppa.launchpad.net/indicator-brightness/ppa/ubuntu focal Release' does not have a Release file. N: Updating from such a repository can't be done securely, and is therefore disabled by default. N: See apt-secure(8) manpage for repository creation and user configuration details. master@master-laptop:/mnt/_work_sdb8/wwwroot/lar/Hostels4J$ sudo apt-get install indicator-brightness Reading package lists... Done Building dependency tree Reading state information... Done E: Unable to locate package indicator-brightness Searching in next I found additive option : --allow-unauthenticated but looks lokie this option does not work now ? Which is good and safe way to inmstall indicator-brightness ? Thanks!
  4. Hi, I tried to show js problem at my https://streamgeeks-rebranded-dev.cloudns.cl/ site located at AWS, ubuntu, 20 Apache/2.4 But I got a feedback from one of users : After discussion I got link : https://www.virustotal.com/gui/url/f07ad9409e7b60633952021af9292753cc142f2a5675055fdbb19f8b563e0132/detection and got some errors report : Avira (no cloud) Phishing Netcraft - Malicious Which steps have I to take ? If it some bad code inside of my site ? Or something wrong in ubuntu 20/apache/mysql ? Also are there some apps/tools for my Kubuntu 18 on my laptop to see these problems working with my site ? Thanks!
  5. Hello, Under free account in https://www.cloudns.net/ I created 1 dns zone (A type) which is used for our dev server, so it has very small using What is unclear for me that is “Mail forwards” parameter : https://imgur.com/a/fk7MAuR and where I can set it? Also I did not found if thiis free domain has some time expired period ?
  6. Hallo, I installed ASW ec2 instance with Selected Ubuntu 20, Free tier eligible and I got instance with root like http://ec2-NN-NN-NN-NN.eu-central-1.compute.amazonaws.com/ I have installed laravel 8/vuejs app and my app using OAuth client ID For my local server (Ubuntu 18 on my laptop) I created client key with url http://127.0.0.1:8000 But I failed to make the similar for my ASW ec2 instance : https://imgur.com/a/tIQiPAe 1) If there is a way to create OAuth client ID for AWS http url,like I have by default? 2) If no, please point how can I move my app under https ? Is this function accessible for Free tier eligible instance ? 3) Actually I created this Free tier eligible instance for practice and later I will get from client other ASW ec2 instance, but I would like how can I do it. Please link to related services in AWS console, docs... Thanks!
  7. Hello, Basing on tailwindcss 2 modal example https://alpinetoolbox.com/examples/modal I make modal dialog with setting max-h-screen class, like <div class="overflow-auto" role="dialog" style="background-color: rgba(0,0,0,0.5)" x-show="showModal" :class="{ 'absolute inset-0 z-50 flex items-center justify-center': showModal }" @keydown.escape.window="showModal = false" > <!--Dialog--> <div class="flex flex-col sm:h-4/5 md:h-4/6 max-h-screen justify-between rounded shadow-lg py-4 text-left px-6 modal-container" x-show="showModal" @click.away="showModal = false" x-transition:enter="ease-out duration-300" x-transition:enter-start="opacity-0 scale-90" x-transition:enter-end="opacity-100 scale-100" x-transition:leave="ease-in duration-300" x-transition:leave-start="opacity-100 scale-100" x-transition:leave-end="opacity-0 scale-90"> and it works ok, untill page has no horizontal scrolling. If page has horizontal scrolling - then only part of the page is with modal and space below is empty and this makes page I also tried to use max-h-full instead of max-h-screen, but no effect. How can I made it ? Thanks!
  8. I want to make table with horizontal scrolling for its content and I try to use whitespace-nowrap class for table cells which have long content and overflow-x-auto for all the table, like: <div class="editor_listing_wrapper_bix_width"> <table class=" overflow-x-auto p-1 m-1 d2"> <thead class="bg-gray-700 border-b-2 border-t-2 border-gray-300"> <tr> <th class="w-1/12 py-2">Id</th> <th class="w-4/12 py-2">Name</th> <th class="w-4/12 py-2">Description</th> <th class="w-1/12 py-2"></th> </tr> </thead> <tbody> <tr> <td>1</td> <td class="whitespace-nowrap"> Laptops <small class="pl-2 pt-1"> ( Used in 2 ad(s) ) </small> </td> <td class="whitespace-nowrap p-1">Laptops description Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.... </td> But looks like horizontal scrolling is for all area, not for my table Pls, take look at pen: https://codepen.io/sergeynilov/pen/eYgjVgM I use tailwindcss 2.1.0. Thanks!
  9. Has function editorTextFocus -some configurable options ? It looks like similar what I need, but not exactly...
  10. Yes, very similar what I need. Seems name of this function is editorTextFocus?
  11. 1) Thanks! 2) I mean if cursor is located on string $adImageItemImgProps = AdImage::readAdImageProps($adImageItem->ad_id, $adImageItem->image, true); inside of readAdImageProps method name, but no chars selecte and clicking hot key all readAdImageProps method name is selected and clicking hot key AdImage::readAdImageProps is selected. and so on...
  12. Hello, I installed code visualstudio 1.54.1 and reading docs I can not find some features I need as : 1) Create custom pieces of code and insert them into my page by code autocomplete ? 2) Having some line of code as current by hotkeys to select more pieces of code into left and right sides? Thanks!
  13. Well, if to work the line on server, which methods have I to use?
  14. Hello, In my Laravel 8 / jQuery 3.5.1 app I need to put string text in javascript like : L.marker([{{$adLocation->lat}}, {{ $adLocation->lng }}]).addTo(locationMap) .bindPopup("<b>Add Location!</b><br />"+'{!! crlf($adLocation->content) !!}'+".").openPopup(); I try to replace crlf characters with method like function crlf(string $s) : string { return str_replace( array("\r\n", "\r", "\n"), "<br />", $s); // 2 lines below does not work too // return preg_replace('/\<br(\s*)?\/?\>/i', "\n", $s); // return nl2br($s); } But anyway I got error : edit:539 Uncaught SyntaxError: Invalid or unexpected token and I see in browser : https://prnt.sc/wtpnri and https://prnt.sc/wtq78t Which way is valid ? Thanks!
  15. Hello, I opened codepen.io made by other person and modified it. Clicking on “Run” I see as my changes are applied, but not saved. After that I want to save and publish my changes, but I did not find any buuton like “Save” : https://prnt.sc/wlxs8b Can I save and publish my changes, if yes how? Thanks!
  16. jsfiddle is used when I want my piece to share(say on forum)
  17. Are there something better of jsfiddle and why?
  18. Hello, Using fiddle https://jsfiddle.net/345cqzn1/ for making layout of my side I do not see footer in the fiddle : https://prnt.sc/vqyzcj It looks like my layout is broken or footer is hidden with console... Can I to show my footer ? Thanks!
  19. Thanks for the link. Please, do not be angry if you consider that my question was post in wrong forum. In many cases it is better to ask about some service from people who have exp[erence of working with it, instead from official support. I wrote to official support and got answer: To reload them I need to review all my priorly works and reload images again - a lot of work. Are there some other similar services which DO NOT DELETE uploaded images? From personal expierence, please.
  20. Hello, Who use imgur.com service ? I found that making description of my work less 2 years ago , among 4 links https://imgur.com/a/fnCHGBZ https://imgur.com/a/tHdV1C7 https://imgur.com/a/Xm8qUjK https://imgur.com/a/RT9K4Cw only 2 are available, but 2 are dead. Why so? If there is a way to restore dead links ? Thanks!
  21. In source version of the site I foun file plugin.php with AdminerPlugin class implementation. I moved this file under plugins directory. In plugins/login-password-less.php I added reference to plugins/plugin.php file and added debugging info : <?php /** Enable login for password-less database * @link https://www.adminer.org/plugins/#use * @author Jakub Vrana, https://www.vrana.cz/ * @license https://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0 * @license https://www.gnu.org/licenses/gpl-2.0.html GNU General Public License, version 2 (one or other) */ include_once "./plugins/plugin.php"; class AdminerLoginPasswordLess { /** @access protected */ var $password_hash; /** Set allowed password * @param string result of password_hash */ function __construct($password_hash) { $this->password_hash = $password_hash; debToFile('-2 AdminerLoginPasswordLess->__construct:$this->password_hash::'.$this->password_hash); // That is debugging method appending string into text file } function credentials() { $password = get_password(); debToFile('-3 AdminerLoginPasswordLess->credentials:$password::'.$password); // That is debugging method appending string into text file return array(SERVER, $_GET["username"], (password_verify($password, $this->password_hash) ? "" : $password)); } function login($login, $password) { debToFile('-4 AdminerLoginPasswordLess->login:$login::'.$login); if ($password != "") { debToFile('-5 TRUE AdminerLoginPasswordLess->login:$login::'.$login); // That is debugging method appending string into text file return true; } debToFile('-5 false AdminerLoginPasswordLess->login:$login::'.$login); } } and in adminer.php I added debugging line: $plugins = array( new AdminerLoginPasswordLess(hash("md5", 'm8y2s8q&L')), ); debToFile('-1After:AdminerLoginPasswordLess'); I loggin file I see: <pre>::-2 AdminerLoginPasswordLess->__construct:$this->password_hash::c61d49aaab35ca428e60d764ff05159d</pre> <pre>::-1After:AdminerLoginPasswordLess</pre> It means that methods credentials and login of AdminerLoginPasswordLess class are not triggered. I run in browser as : http://local-adminer.com/?username=mysql_login_user or http://local-adminer.com // host in apache config and I have no errors, but I still have to enter password for mysql_login_user. Did I miss some options/plugins?
  22. Hello, I want to use adminer without password. I uploaded adminer-4.7.7-en.php file and finding login-password-less plugin I create file plugins/login-password-less.php with content : <?php /** Enable login for password-less database * @link https://www.adminer.org/plugins/#use * @author Jakub Vrana, https://www.vrana.cz/ * @license https://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0 * @license https://www.gnu.org/licenses/gpl-2.0.html GNU General Public License, version 2 (one or other) */ class AdminerLoginPasswordLess { /** @access protected */ var $password_hash; /** Set allowed password * @param string result of password_hash */ function __construct($password_hash) { $this->password_hash = $password_hash; } function credentials() { $password = get_password(); return array(SERVER, $_GET["username"], (password_verify($password, $this->password_hash) ? "" : $password)); } function login($login, $password) { if ($password != "") { return true; } } } and reading https://www.adminer.org/plugins/#use I created file adminer.php, which is located in one dir with adminer-4.7.7-en.php and I created new apache host pointed at this file. <?php function adminer_object() { // required to run any plugin include_once "./plugins/login-password-less.php"; // autoloader foreach (glob("plugins/*.php") as $filename) { include_once "./$filename"; } $plugins = array( // specify enabled plugins here new AdminerLoginPasswordLess(hash("md5", 'my_sql_user_password')), //Is the selected "md5" method valid ? ); return new AdminerPlugin($plugins); // I am not sure which class is it and where it is defined ? } // include original Adminer or Adminer Editor include "./adminer-4.7.7-en.php"; // encoded file I uploaded ?> But I got error : Fatal error: Uncaught Error: Class 'AdminerPlugin' not found in /mnt/_work_sdb8/wwwroot/lar/local_adminer/adminer.php:32 Stack trace: #0 /mnt/_work_sdb8/wwwroot/lar/local_adminer/adminer-4.7.7-en.php(1654): adminer_object() #1 /mnt/_work_sdb8/wwwroot/lar/local_adminer/adminer.php(36): include('/mnt/_work_sdb8...') #2 {main} thrown in /mnt/_work_sdb8/wwwroot/lar/local_adminer/adminer.php on line 32 Which class AdminerPlugin is it and where it is defined ? How to fix this issue? Thanks!
  23. Hello, Looking at this https://www.cloudbooklet.com/how-to-install-php-7-3-on-ubuntu-18-04/ article I try to upgrade php to 7.3 on my local Ubuntu 18 But after I run command: sudo apt install php7.3 restyarting the OS I see in the console : $ php -v PHP 7.3.20-1+ubuntu18.04.1+deb.sury.org+1 (cli) (built: Jul 9 2020 16:34:09) ( NTS ) But phpinfo in the browser shows me PHP Version 7.2 : PHP Version 7.2.24-0ubuntu0.18.04.6 System Linux athoe 4.15.0-112-generic #113-Ubuntu SMP Thu Jul 9 23:41:39 UTC 2020 x86_64 Build Date May 26 2020 13:09:11 Server API Apache 2.0 Handler Virtual Directory Support disabled Configuration File (php.ini) Path /etc/php/7.2/apache2 Loaded Configuration File /etc/php/7.2/apache2/php.ini Scan this dir for additional .ini files /etc/php/7.2/apache2/conf.d also I failed to open file : sudo nano /etc/php/7.3/apache2/php.ini as directory /etc/php/7.3/apache2 was not found and checking the system I see : root@athoe:/etc/php# ls -la total 24 drwxr-xr-x 4 root root 4096 ����� 1 17:33 . drwxr-xr-x 156 root root 12288 ����� 1 17:33 .. drwxr-xr-x 5 root root 4096 ����� 5 2019 7.2 drwxr-xr-x 5 root root 4096 ����� 1 17:33 7.3 root@athoe:/etc/php# cd 7.2 root@athoe:/etc/php/7.2# ls -la total 20 drwxr-xr-x 5 root root 4096 5 2019 . drwxr-xr-x 4 root root 4096 1 17:33 .. drwxr-xr-x 3 root root 4096 4 18:22 apache2 drwxr-xr-x 3 root root 4096 3 10:01 cli drwxr-xr-x 2 root root 409613 2020 mods-available root@athoe:/etc/php/7.2# cd ../ root@athoe:/etc/php# cd 7.3 root@athoe:/etc/php/7.3# ls -la total 20 drwxr-xr-x 5 root root 4096 1 17:33 . drwxr-xr-x 4 root root 4096 1 17:33 .. drwxr-xr-x 3 root root 4096 1 17:33 cli drwxr-xr-x 4 root root 4096 1 17:33 fpm drwxr-xr-x 2 root root 4096 1 17:33 mods-available I tried to run: sudo a2dismod php7.2 sudo a2enmod php7.3 But I got error: Module php7.2 disabled. To activate the new configuration, you need to run: systemctl restart apache2 root@athoe:/mnt/_work_sdb8/wwwroot/lar/hostels3# sudo a2enmod php7.3 ERROR: Module php7.3 does not exist! What did I miss in my setup ? Thanks!
  24. Hello, I need some tool to generate my blade/bootstrap 4.1 code(laravel 5) into pdf with support of flexbox and css class definitions I tried spipu/html2pdf 5.2, but I did not find how it supports css class definitions... Can you advice some? With link to flexbox and css class definitions. Also I need a feature if resulting page has more 1 page to define header and footer on any page. Thanks!
×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.